desc_ca_identifier.h File Reference
Parsers for several MPEG-TS descriptors

Provides the descriptors for the Conditional Access identifier. More...

`#include <libdvbv5/descriptors.h>`

Go to the source code of this file.

## Data Structures

struct | dvb_desc_ca_identifier
| Indicates if a particular bouquet, service or event is associated with a CA system. More...

## Macros

#define | dvb_desc_ca_identifier_field_first
| initial descriptor field at dvb_desc_ca_identifier struct
#define | dvb_desc_ca_identifier_field_last
| last descriptor field at dvb_desc_ca_identifier struct

## Functions

int | dvb_desc_ca_identifier_init (struct dvb_v5_fe_parms *parms, const uint8_t *buf, struct dvb_desc *desc)
| Initializes and parses the CA identifier descriptor.
void | dvb_desc_ca_identifier_print (struct dvb_v5_fe_parms *parms, const struct dvb_desc *desc)
| Prints the content of the CA identifier descriptor.
void | dvb_desc_ca_identifier_free (struct dvb_desc *desc)
| Frees all data allocated by the CA identifier descriptor.

## Detailed Description

Provides the descriptors for the Conditional Access identifier.

Copyright
  GNU Lesser General Public License version 2.1 (LGPLv2.1)

Author
  Andre Roth

Relevant specs
  The descriptor described herein is defined at:
  - ETSI EN 300 468 V1.11.1 (2010-04)

Bug Report
  Please submit bug reports and patches to linux.nosp@m.-med.nosp@m.ia@vg.nosp@m.er.k.nosp@m.ernel.nosp@m..org

Definition in file desc_ca_identifier.h.

## Macro Definition Documentation

## dvb_desc_ca_identifier_field_first

#define dvb_desc_ca_identifier_field_first

initial descriptor field at dvb_desc_ca_identifier struct

Definition at line 66 of file desc_ca_identifier.h.

## dvb_desc_ca_identifier_field_last

#define dvb_desc_ca_identifier_field_last

last descriptor field at dvb_desc_ca_identifier struct

Definition at line 68 of file desc_ca_identifier.h.